Public Class CForm

    Public Parameter As String = "" '//트리노드로부터들어오는 화면파라미터
    Public TreeTag As String = ""   '//트리노드의 태그값
    Public OpenTime As String = ""

    Public Overridable Function AcceptChanged() As Boolean
        Return True
    End Function
    Public Overridable Function RejectChanged() As Boolean
        Return True
    End Function
    Public Overridable Function HasChanged() As Boolean
        Return False
    End Function

    Public Overridable Sub AddDebug(m As String)
        Debug.WriteLine(String.Format("{3}({0})-[{1}] {2}", OpenTime, Now.ToString("HH:mm:ss"), m, Me.Name))
    End Sub

End Class
